## org.apache.lucene.analysis.shingle
Class ShingleMatrixFilter.Matrix.Column.Row

    java.lang.Object
      org.apache.lucene.analysis.shingle.ShingleMatrixFilter.Matrix.Column.Row

Enclosing class:
  ShingleMatrixFilter.Matrix.Column

    public class ShingleMatrixFilter.Matrix.Column.Row

extends java.lang.Object

Constructor Summary
`ShingleMatrixFilter.Matrix.Column.Row()`

Method Summary
`ShingleMatrixFilter.Matrix.Column` `getColumn()`
`int` `getIndex()`
`java.util.List` `getTokens()`
`void` `setTokens(java.util.List tokens)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ShingleMatrixFilter.Matrix.Column.Row

    public ShingleMatrixFilter.Matrix.Column.Row()

Method Detail

### getColumn

    public ShingleMatrixFilter.Matrix.Column getColumn()

### getIndex

    public int getIndex()

### getTokens

    public java.util.List getTokens()

### setTokens

    public void setTokens(java.util.List tokens)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.